Bug 192611 - xvattr: $RPM_OPT_FLAGS not honored
xvattr: $RPM_OPT_FLAGS not honored
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xvattr (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 17:36 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 05:23:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-21 17:36:01 EDT
xvattr's build doesn't appear to be honoring $RPM_OPT_FLAGS, reusulting in
compiler security features not being used and a more or less useless debuginfo
package.  More info: http://fedoraproject.org/wiki/Packaging/Debuginfo

Possible fix, in %prep:
sed -i -e 's/^\(CFLAGS\s*=.*\)/\1 $(RPM_OPT_FLAGS)/' Makefile*
Comment 1 Matthias Saou 2006-05-23 05:23:02 EDT
I don't like exposing RPM_OPT_FLAGS inside generic sources, so I've done this
instead (same result of course) :

# Append GTK CFLAGS to CFLAGS instead of overwriting CFLAGS (optflags get used)
%{__perl} -pi -e 's|^CFLAGS = (.*)|CFLAGS += $1|g' Makefile*

Packages for FC-4, FC-5 and devel will be rebuilt now.

Note You need to log in before you can comment on or make changes to this bug.